Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext
Class GeneratorExtWrapper

    java.lang.Object
      com.google.gwt.core.ext.Generator
          com.google.gwt.core.ext.GeneratorExt
              com.google.gwt.core.ext.GeneratorExtWrapper

    public class GeneratorExtWrapper

extends GeneratorExt

EXPERIMENTAL and subject to change. Do not use this in production code.

A wrapper class for using base `Generator` implementations where a `GeneratorExt` instance is needed.

Constructor Summary
`GeneratorExtWrapper(Generator baseGenerator)`

Method Summary
`java.lang.String` | `generate(TreeLogger logger, GeneratorContext context, java.lang.String typeName)` Pass through to the base generator's generate method.
`com.google.gwt.dev.javac.rebind.RebindResult` | `generateIncrementally(TreeLogger logger, GeneratorContextExt context, java.lang.String typeName)` Call base generator's generate method, and don't attempt any caching.
`static GeneratorExt` | `newInstance(Generator baseGenerator)` Get a new instance wrapped from a base `Generator` implementation.

Methods inherited from class com.google.gwt.core.ext.Generator
`escape`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneratorExtWrapper

    public GeneratorExtWrapper(Generator baseGenerator)

Method Detail

### newInstance

    public static GeneratorExt newInstance(Generator baseGenerator)

  Get a new instance wrapped from a base `Generator` implementation.

### generate

    public java.lang.String generate(TreeLogger logger,
                                     GeneratorContext context,
                                     java.lang.String typeName)
                              throws UnableToCompleteException

  Pass through to the base generator's generate method.

  Overrides:
    `generate` in class `GeneratorExt`
  Returns:
    the name of a subclass to substitute for the requested class, or return `null` to cause the requested type itself to be used
  Throws:
    `UnableToCompleteException`

### generateIncrementally

    public com.google.gwt.dev.javac.rebind.RebindResult generateIncrementally(TreeLogger logger,
                                                                              GeneratorContextExt context,
                                                                              java.lang.String typeName)
                                                                       throws UnableToCompleteException

  Call base generator's generate method, and don't attempt any caching.

  Specified by:
    `generateIncrementally` in class `GeneratorExt`
  Returns:
    a RebindResult
  Throws:
    `UnableToCompleteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD